Get List
curl --request GET \
--url https://api.v2.dealmachine.com/v1/lists/{list_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.v2.dealmachine.com/v1/lists/{list_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.v2.dealmachine.com/v1/lists/{list_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 45230,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:45Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "building",
"total_count": 0,
"progress": 45,
"progress_stage": "Staging records...",
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:15Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"status": "error",
"total_count": 0,
"progress": 0,
"error_message": "BigQuery query timed out. Try narrowing your filters.",
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:31:00Z"
}
}
{
"error": {
"code": "not_found",
"message": "No list found with ID abc-123"
}
}
Lists
Get List
Get list details including build status
GET
/
v1
/
lists
/
{list_id}
Get List
Retrieve a single list by its ID. Use this to poll for build completion after creating a list.
string
required
The list ID.
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "completed",
"total_count": 45230,
"progress": 100,
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:45Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"build_type": "prospect",
"status": "building",
"total_count": 0,
"progress": 45,
"progress_stage": "Staging records...",
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:30:15Z"
}
}
{
"data": {
"list_id": "abc-123-def-456",
"name": "High Value Properties in Miami",
"source_type": "properties",
"status": "error",
"total_count": 0,
"progress": 0,
"error_message": "BigQuery query timed out. Try narrowing your filters.",
"created_at": "2026-02-18T14:30:00Z",
"updated_at": "2026-02-18T14:31:00Z"
}
}
{
"error": {
"code": "not_found",
"message": "No list found with ID abc-123"
}
}
⌘I